summaryrefslogtreecommitdiff
path: root/ansible/all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ansible/all.sh')
-rwxr-xr-xansible/all.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/ansible/all.sh b/ansible/all.sh
index eff3a72..3fbb709 100755
--- a/ansible/all.sh
+++ b/ansible/all.sh
@@ -11,7 +11,9 @@ online() {
}
maybe_run_playbook() {
- if newer "$1.yml" "$1.stamp" && online "$1"; then
+ if ! online "$1"; then
+ echo "UNAVALABLE $1"
+ elif newer "$1.yml" "$1.stamp"; then
echo "$1"
./run-playbook "$1.yml"
touch "$1.stamp"
@@ -20,17 +22,17 @@ maybe_run_playbook() {
fi
}
+maybe_run_playbook tursas
maybe_run_playbook solace
maybe_run_playbook exolobe1
maybe_run_playbook exolobe2
maybe_run_playbook stamina
maybe_run_playbook holywood2
maybe_run_playbook atuin.liw.fi
-maybe_run_playbook mirror-git
+#maybe_run_playbook mirror-git
maybe_run_playbook git.liw.fi
maybe_run_playbook apt.liw.fi
maybe_run_playbook http.liw.fi
maybe_run_playbook irc.liw.fi
maybe_run_playbook shell-shell.vm.liw.fi
-maybe_run_playbook qotom
-maybe_run_playbook radicle.liw.fi
+maybe_run_playbook finntroll.liw.fi